Package org.apache.sling.feature.maven.mojos

# Class UpdateVersionsMojo.ArtifactUpdate

java.lang.Object
org.apache.sling.feature.maven.mojos.UpdateVersionsMojo.ArtifactUpdate

Enclosing class:
  `UpdateVersionsMojo`

public static final class UpdateVersionsMojo.ArtifactUpdate extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`org.apache.sling.feature.Artifact`
`artifact`
`org.apache.sling.feature.Extension`
`extension`
`String`
`newVersion`

## Constructor Summary

Constructors
Constructor
Description
`ArtifactUpdate()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### extension

public org.apache.sling.feature.Extension extension

### artifact

public org.apache.sling.feature.Artifact artifact

### newVersion

public String newVersion

## Constructor Details

### ArtifactUpdate

public ArtifactUpdate()